diff CSP2/CSP2_env/env-d9b9114564458d9d-741b3de822f2aaca6c6caa4325c4afce/share/gettext/projects/team-address @ 68:5028fdace37b

planemo upload commit 2e9511a184a1ca667c7be0c6321a36dc4e3d116d
author jpayne
date Tue, 18 Mar 2025 16:23:26 -0400
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/CSP2/CSP2_env/env-d9b9114564458d9d-741b3de822f2aaca6c6caa4325c4afce/share/gettext/projects/team-address	Tue Mar 18 16:23:26 2025 -0400
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# Copyright (C) 2001 Free Software Foundation, Inc.
+# Written by Bruno Haible <bruno@clisp.org>, 2001.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+# Print the team's address (to stdout) and output additional instructions
+# (to stderr).
+
+projectsdir="$1"
+progdir="$2"
+catalog="$3"  # e.g. "pt_BR"
+language="$4" # e.g. "pt"
+
+for project in `cat "$projectsdir/index"`; do
+  if /bin/sh "$projectsdir/$project/trigger"; then
+    /bin/sh "$projectsdir/$project/team-address" "$projectsdir" "$progdir" "$catalog" "$language"
+    exit $?
+  fi
+done
+
+exit 0